org.apache.tomcat.jni

## Class Thread

- java.lang.Object
- - org.apache.tomcat.jni.Thread

-     public class Thread
      extends Object

  Thread
  Author:
    Mladen Turk

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Thread()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static long` | `current()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Thread

          public Thread()

  - ### Method Detail

    - #### current

          public static long current()

      Returns:
        the current thread ID handle.

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.